org.springframework.data.web.config

## Class ProjectingArgumentResolverRegistrar

- java.lang.Object
- - org.springframework.data.web.config.ProjectingArgumentResolverRegistrar

    @Configuration(proxyBeanMethods=false)
    public class ProjectingArgumentResolverRegistrar
    extends Object

Configuration class to register a `BeanPostProcessor` to augment `RequestMappingHandlerAdapter` with a `ProxyingHandlerMethodArgumentResolver`.

Author:
  Oliver Gierke, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`ProjectingArgumentResolverRegistrar()`

### Method Summary

All Methods Static Methods Concrete Methods

`static org.springframework.data.web.config.ProjectingArgumentResolverRegistrar.ProjectingArgumentResolverBeanPostProcessor`

`projectingArgumentResolverBeanPostProcessor(ObjectFactory<ConversionService> conversionService)`
Registers a `BeanPostProcessor` to modify `RequestMappingHandlerAdapter` beans in the application context to get a `ProxyingHandlerMethodArgumentResolver` configured as first `HandlerMethodArgumentResolver`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProjectingArgumentResolverRegistrar

    public ProjectingArgumentResolverRegistrar()

### Method Detail

#### projectingArgumentResolverBeanPostProcessor

    @Bean
    public static org.springframework.data.web.config.ProjectingArgumentResolverRegistrar.ProjectingArgumentResolverBeanPostProcessor projectingArgumentResolverBeanPostProcessor(@Qualifier(value="mvcConversionService")
                                                                                                                                                                                        ObjectFactory<ConversionService> conversionService)

Registers a `BeanPostProcessor` to modify `RequestMappingHandlerAdapter` beans in the application context to get a `ProxyingHandlerMethodArgumentResolver` configured as first `HandlerMethodArgumentResolver`.

Parameters:
  `conversionService` - the Spring MVC `ConversionService` in a lazy fashion, so that its initialization is not triggered yet.
Returns: